NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::DieEngDefineProductOrientationBuilder Class Reference

Die Engineer define product orientation builder. More...

Inheritance diagram for NXOpen::Tooling::DieEngDefineProductOrientationBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  FacetQualityOption {
  FacetQualityOptionCoarse, FacetQualityOptionNormal, FacetQualityOptionFine, FacetQualityOptionExtraFine,
  FacetQualityOptionUltraFine
}
 the facet quality option More...
 
enum  OptimalMethod {
  OptimalMethodMinimizeBackdraft, OptimalMethodMinimizeDrawDepth, OptimalMethodNormaltoFace, OptimalMethodAxisofHole,
  OptimalMethodThreePoints
}
 the optimal method More...
 
enum  ViewDraftOptions { ViewDraftOptionsNone, ViewDraftOptionsComputeTrimAngles, ViewDraftOptionsComputeWallAngles }
 view draft options More...
 

Public Member Functions

NXOpen::DirectionAngleAbout ()
 Returns the angle about
Created in NX11.0.0. More...
 
double AngleIncrement ()
 Returns the angle increment
Created in NX11.0.0. More...
 
double AngleValue ()
 Returns the angle value
Created in NX11.0.0. More...
 
double AngleValueOptimal ()
 Returns the angle value optimal
Created in NX11.0.0. More...
 
void ButtonApplyOptimal ()
 The callback function of button apply optimal
Created in NX11.0.0. More...
 
void ButtonCopy ()
 The callback function of button copy
Created in NX11.0.0. More...
 
void ButtonCopyTip ()
 The callback function of button copy tip
Created in NX11.0.0. More...
 
void ButtonCut ()
 The callback function of button cut
Created in NX11.0.0. More...
 
void ButtonNew ()
 The callback function of button new
Created in NX11.0.0. More...
 
void ButtonPaste ()
 The callback function of button paste
Created in NX11.0.0. More...
 
void ButtonView ()
 The callback function of button view
Created in NX11.0.0. More...
 
NXOpen::Tooling::DieEngDefineProductOrientationBuilder::OptimalMethod ChooseOptimalMethod ()
 Returns the choose optimal method
Created in NX11.0.0. More...
 
NXOpen::NXColorColorDepthPass ()
 Returns the color depth pass
Created in NX11.0.0. More...
 
NXOpen::NXColorColorDraftAngleFailure ()
 Returns the color draft angle failure
Created in NX11.0.0. More...
 
NXOpen::NXColorColorDraftAnglePass ()
 Returns the color draft angle pass
Created in NX11.0.0. More...
 
NXOpen::NXColorColorDraftAngleWarning ()
 Returns the color draft angle warning
Created in NX11.0.0. More...
 
NXOpen::NXColorColorFailure ()
 Returns the color failure
Created in NX11.0.0. More...
 
NXOpen::NXColorColorWarning ()
 Returns the color warning
Created in NX11.0.0. More...
 
double DoublePassTranslucency ()
 Returns the double pass translucency
Created in NX11.0.0. More...
 
double DraftAngleScale ()
 Returns the draft angle scale
Created in NX11.0.0. More...
 
NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FacetQualityOption FacetQualityOptions ()
 Returns the facet quality options
Created in NX11.0.0. More...
 
bool FailureShowIsocline ()
 Returns the failure show isocline
Created in NX11.0.0. More...
 
double FailureValue ()
 Returns the failure value
Created in NX11.0.0. More...
 
NXOpen::PointFromPoint ()
 Returns the from point
Created in NX11.0.0. More...
 
NXOpen::DirectionFromVector ()
 Returns the from vector
Created in NX11.0.0. More...
 
std::vector< NXStringGetReason ()
 Returns the reason. More...
 
bool LimitShading ()
 Returns the limit shading
Created in NX11.0.0. More...
 
NXString NameCSYS ()
 Returns the name csys
Created in NX11.0.0. More...
 
NXOpen::ScCollectorOptimalHoleAxis ()
 Returns the optimal hole axis
Created in NX11.0.0. More...
 
NXOpen::PointOptimalPoint1 ()
 Returns the optimal point1
Created in NX11.0.0. More...
 
NXOpen::PointOptimalPoint2 ()
 Returns the optimal point2
Created in NX11.0.0. More...
 
NXOpen::PointOptimalPoint3 ()
 Returns the optimal point3
Created in NX11.0.0. More...
 
NXOpen::PointPointInRegion ()
 Returns the point in region
Created in NX11.0.0. More...
 
NXOpen::PointPointInRegion1 ()
 Returns the point in region1
Created in NX11.0.0. More...
 
NXOpen::CoordinateSystemProductCSYS ()
 Returns the product csys
Created in NX11.0.0. More...
 
bool ReverseNormal ()
 Returns the reverse normal
Created in NX11.0.0. More...
 
bool ReverseSheetNormal ()
 Returns the reverse sheet normal
Created in NX11.0.0. More...
 
void SetAngleAbout (NXOpen::Direction *angleAbout)
 Sets the angle about
Created in NX11.0.0. More...
 
void SetAngleIncrement (double angleIncrement)
 Sets the angle increment
Created in NX11.0.0. More...
 
void SetAngleValue (double angleValue)
 Sets the angle value
Created in NX11.0.0. More...
 
void SetAngleValueOptimal (double angleValueOptimal)
 Sets the angle value optimal
Created in NX11.0.0. More...
 
void SetChooseOptimalMethod (NXOpen::Tooling::DieEngDefineProductOrientationBuilder::OptimalMethod chooseOptimalMethod)
 Sets the choose optimal method
Created in NX11.0.0. More...
 
void SetColorDepthPass (NXOpen::NXColor *colorDepthPass)
 Sets the color depth pass
Created in NX11.0.0. More...
 
void SetColorDraftAngleFailure (NXOpen::NXColor *colorDraftAngleFailure)
 Sets the color draft angle failure
Created in NX11.0.0. More...
 
void SetColorDraftAnglePass (NXOpen::NXColor *colorDraftAnglePass)
 Sets the color draft angle pass
Created in NX11.0.0. More...
 
void SetColorDraftAngleWarning (NXOpen::NXColor *colorDraftAngleWarning)
 Sets the color draft angle warning
Created in NX11.0.0. More...
 
void SetColorFailure (NXOpen::NXColor *colorFailure)
 Sets the color failure
Created in NX11.0.0. More...
 
void SetColorWarning (NXOpen::NXColor *colorWarning)
 Sets the color warning
Created in NX11.0.0. More...
 
void SetDoublePassTranslucency (double doublePassTranslucency)
 Sets the double pass translucency
Created in NX11.0.0. More...
 
void SetDraftAngleScale (double draftAngleScale)
 Sets the draft angle scale
Created in NX11.0.0. More...
 
void SetFacetQualityOptions (NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FacetQualityOption facetQualityOptions)
 Sets the facet quality options
Created in NX11.0.0. More...
 
void SetFailureShowIsocline (bool failureShowIsocline)
 Sets the failure show isocline
Created in NX11.0.0. More...
 
void SetFailureValue (double failureValue)
 Sets the failure value
Created in NX11.0.0. More...
 
void SetFromPoint (NXOpen::Point *fromPoint)
 Sets the from point
Created in NX11.0.0. More...
 
void SetFromVector (NXOpen::Direction *fromVector)
 Sets the from vector
Created in NX11.0.0. More...
 
void SetLimitShading (bool limitShading)
 Sets the limit shading
Created in NX11.0.0. More...
 
void SetNameCSYS (const NXString &nameCSYS)
 Sets the name csys
Created in NX11.0.0. More...
 
void SetNameCSYS (const char *nameCSYS)
 Sets the name csys
Created in NX11.0.0. More...
 
void SetOptimalPoint1 (NXOpen::Point *optimalPoint1)
 Sets the optimal point1
Created in NX11.0.0. More...
 
void SetOptimalPoint2 (NXOpen::Point *optimalPoint2)
 Sets the optimal point2
Created in NX11.0.0. More...
 
void SetOptimalPoint3 (NXOpen::Point *optimalPoint3)
 Sets the optimal point3
Created in NX11.0.0. More...
 
void SetPointInRegion (NXOpen::Point *pointInRegion)
 Sets the point in region
Created in NX11.0.0. More...
 
void SetPointInRegion1 (NXOpen::Point *pointInRegion1)
 Sets the point in region1
Created in NX11.0.0. More...
 
void SetProductCSYS (NXOpen::CoordinateSystem *productCSYS)
 Sets the product csys
Created in NX11.0.0. More...
 
void SetReason (const std::vector< NXString > &reason)
 Sets the reason
Created in NX11.0.0. More...
 
void SetReverseNormal (bool reverseNormal)
 Sets the reverse normal
Created in NX11.0.0. More...
 
void SetReverseSheetNormal (bool reverseSheetNormal)
 Sets the reverse sheet normal
Created in NX11.0.0. More...
 
void SetToPoint (NXOpen::Point *toPoint)
 Sets the to point
Created in NX11.0.0. More...
 
void SetToVector (NXOpen::Direction *toVector)
 Sets the to vector
Created in NX11.0.0. More...
 
void SetTrimWallAngleScale (double trimWallAngleScale)
 Sets the trim wall angle scale
Created in NX11.0.0. More...
 
void SetVisualizeDepth (bool visualizeDepth)
 Sets the visualize depth
Created in NX11.0.0. More...
 
void SetVisualizeDraft (bool visualizeDraft)
 Sets the visualize draft
Created in NX11.0.0. More...
 
void SetVisualizeDraftOptions (NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ViewDraftOptions visualizeDraftOptions)
 Sets the visualize draft options
Created in NX11.0.0. More...
 
void SetWarningShowIsocline (bool warningShowIsocline)
 Sets the warning show isocline
Created in NX11.0.0. More...
 
void SetWarningValue (double warningValue)
 Sets the warning value
Created in NX11.0.0. More...
 
NXOpen::PointToPoint ()
 Returns the to point
Created in NX11.0.0. More...
 
NXOpen::DirectionToVector ()
 Returns the to vector
Created in NX11.0.0. More...
 
NXOpen::ScCollectorTrimProfile ()
 Returns the trim profile
Created in NX11.0.0. More...
 
double TrimWallAngleScale ()
 Returns the trim wall angle scale
Created in NX11.0.0. More...
 
NXOpen::ScCollectorViewRegionBounds ()
 Returns the view region bounds
Created in NX11.0.0. More...
 
bool VisualizeDepth ()
 Returns the visualize depth
Created in NX11.0.0. More...
 
bool VisualizeDraft ()
 Returns the visualize draft
Created in NX11.0.0. More...
 
NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ViewDraftOptions VisualizeDraftOptions ()
 Returns the visualize draft options
Created in NX11.0.0. More...
 
bool WarningShowIsocline ()
 Returns the warning show isocline
Created in NX11.0.0. More...
 
double WarningValue ()
 Returns the warning value
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Die Engineer define product orientation builder.


To create a new instance of this class, use NXOpen::Tooling::AutoDieCollection::CreateDieEngDefineProductOrientationBuilder
Default values.

Property Value

AngleIncrement

0

AngleValue

0

AngleValueOptimal

0

ChooseOptimalMethod

MinimizeBackdraft

DoublePassTranslucency

0

DraftAngleScale

0

FacetQualityOptions

Coarse

FailureShowIsocline

0

FailureValue

75

LimitShading

0

TrimWallAngleScale

0

VisualizeDepth

0

VisualizeDraft

0

VisualizeDraftOptions

None

WarningShowIsocline

0

WarningValue

50


Created in NX11.0.0.

Member Enumeration Documentation

the facet quality option

Enumerator
FacetQualityOptionCoarse 

coarse

FacetQualityOptionNormal 

normal

FacetQualityOptionFine 

fine

FacetQualityOptionExtraFine 

extra fine

FacetQualityOptionUltraFine 

ultra fine

the optimal method

Enumerator
OptimalMethodMinimizeBackdraft 

minimize backdraft

OptimalMethodMinimizeDrawDepth 

minimize draw depth

OptimalMethodNormaltoFace 

normalto face

OptimalMethodAxisofHole 

axisof hole

OptimalMethodThreePoints 

three points

view draft options

Enumerator
ViewDraftOptionsNone 

none

ViewDraftOptionsComputeTrimAngles 

compute trim angles

ViewDraftOptionsComputeWallAngles 

compute wall angles

Member Function Documentation

NXOpen::Direction* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::AngleAbout ( )

Returns the angle about
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngDefineProductOrientationBuilder::AngleIncrement ( )

Returns the angle increment
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngDefineProductOrientationBuilder::AngleValue ( )

Returns the angle value
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngDefineProductOrientationBuilder::AngleValueOptimal ( )

Returns the angle value optimal
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ButtonApplyOptimal ( )

The callback function of button apply optimal
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ButtonCopy ( )

The callback function of button copy
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ButtonCopyTip ( )

The callback function of button copy tip
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ButtonCut ( )

The callback function of button cut
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ButtonNew ( )

The callback function of button new
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ButtonPaste ( )

The callback function of button paste
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ButtonView ( )

The callback function of button view
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Tooling::DieEngDefineProductOrientationBuilder::OptimalMethod NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ChooseOptimalMethod ( )

Returns the choose optimal method
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::NXColor* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ColorDepthPass ( )

Returns the color depth pass
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::NXColor* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ColorDraftAngleFailure ( )

Returns the color draft angle failure
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::NXColor* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ColorDraftAnglePass ( )

Returns the color draft angle pass
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::NXColor* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ColorDraftAngleWarning ( )

Returns the color draft angle warning
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::NXColor* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ColorFailure ( )

Returns the color failure
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::NXColor* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ColorWarning ( )

Returns the color warning
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngDefineProductOrientationBuilder::DoublePassTranslucency ( )

Returns the double pass translucency
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngDefineProductOrientationBuilder::DraftAngleScale ( )

Returns the draft angle scale
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FacetQualityOption NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FacetQualityOptions ( )

Returns the facet quality options
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FailureShowIsocline ( )

Returns the failure show isocline
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FailureValue ( )

Returns the failure value
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Point* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FromPoint ( )

Returns the from point
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Direction* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FromVector ( )

Returns the from vector
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

std::vector<NXString> NXOpen::Tooling::DieEngDefineProductOrientationBuilder::GetReason ( )

Returns the reason.

Returns

Created in NX11.0.0.

License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Tooling::DieEngDefineProductOrientationBuilder::LimitShading ( )

Returns the limit shading
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXString NXOpen::Tooling::DieEngDefineProductOrientationBuilder::NameCSYS ( )

Returns the name csys
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::ScCollector* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::OptimalHoleAxis ( )

Returns the optimal hole axis
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Point* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::OptimalPoint1 ( )

Returns the optimal point1
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Point* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::OptimalPoint2 ( )

Returns the optimal point2
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Point* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::OptimalPoint3 ( )

Returns the optimal point3
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Point* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::PointInRegion ( )

Returns the point in region
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Point* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::PointInRegion1 ( )

Returns the point in region1
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::CoordinateSystem* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ProductCSYS ( )

Returns the product csys
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ReverseNormal ( )

Returns the reverse normal
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ReverseSheetNormal ( )

Returns the reverse sheet normal
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetAngleAbout ( NXOpen::Direction angleAbout)

Sets the angle about
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
angleAboutangleabout
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetAngleIncrement ( double  angleIncrement)

Sets the angle increment
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
angleIncrementangleincrement
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetAngleValue ( double  angleValue)

Sets the angle value
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
angleValueanglevalue
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetAngleValueOptimal ( double  angleValueOptimal)

Sets the angle value optimal
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
angleValueOptimalanglevalueoptimal
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetChooseOptimalMethod ( NXOpen::Tooling::DieEngDefineProductOrientationBuilder::OptimalMethod  chooseOptimalMethod)

Sets the choose optimal method
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
chooseOptimalMethodchooseoptimalmethod
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetColorDepthPass ( NXOpen::NXColor colorDepthPass)

Sets the color depth pass
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
colorDepthPasscolordepthpass
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetColorDraftAngleFailure ( NXOpen::NXColor colorDraftAngleFailure)

Sets the color draft angle failure
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
colorDraftAngleFailurecolordraftanglefailure
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetColorDraftAnglePass ( NXOpen::NXColor colorDraftAnglePass)

Sets the color draft angle pass
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
colorDraftAnglePasscolordraftanglepass
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetColorDraftAngleWarning ( NXOpen::NXColor colorDraftAngleWarning)

Sets the color draft angle warning
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
colorDraftAngleWarningcolordraftanglewarning
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetColorFailure ( NXOpen::NXColor colorFailure)

Sets the color failure
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
colorFailurecolorfailure
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetColorWarning ( NXOpen::NXColor colorWarning)

Sets the color warning
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
colorWarningcolorwarning
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetDoublePassTranslucency ( double  doublePassTranslucency)

Sets the double pass translucency
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
doublePassTranslucencydoublepasstranslucency
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetDraftAngleScale ( double  draftAngleScale)

Sets the draft angle scale
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
draftAngleScaledraftanglescale
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetFacetQualityOptions ( NXOpen::Tooling::DieEngDefineProductOrientationBuilder::FacetQualityOption  facetQualityOptions)

Sets the facet quality options
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
facetQualityOptionsfacetqualityoptions
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetFailureShowIsocline ( bool  failureShowIsocline)

Sets the failure show isocline
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
failureShowIsoclinefailureshowisocline
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetFailureValue ( double  failureValue)

Sets the failure value
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
failureValuefailurevalue
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetFromPoint ( NXOpen::Point fromPoint)

Sets the from point
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
fromPointfrompoint
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetFromVector ( NXOpen::Direction fromVector)

Sets the from vector
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
fromVectorfromvector
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetLimitShading ( bool  limitShading)

Sets the limit shading
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
limitShadinglimitshading
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetNameCSYS ( const NXString nameCSYS)

Sets the name csys
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
nameCSYSnamecsys
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetNameCSYS ( const char *  nameCSYS)

Sets the name csys
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
nameCSYSnamecsys
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetOptimalPoint1 ( NXOpen::Point optimalPoint1)

Sets the optimal point1
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
optimalPoint1optimalpoint1
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetOptimalPoint2 ( NXOpen::Point optimalPoint2)

Sets the optimal point2
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
optimalPoint2optimalpoint2
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetOptimalPoint3 ( NXOpen::Point optimalPoint3)

Sets the optimal point3
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
optimalPoint3optimalpoint3
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetPointInRegion ( NXOpen::Point pointInRegion)

Sets the point in region
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
pointInRegionpointinregion
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetPointInRegion1 ( NXOpen::Point pointInRegion1)

Sets the point in region1
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
pointInRegion1pointinregion1
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetProductCSYS ( NXOpen::CoordinateSystem productCSYS)

Sets the product csys
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
productCSYSproductcsys
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetReason ( const std::vector< NXString > &  reason)

Sets the reason
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
reasonreason
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetReverseNormal ( bool  reverseNormal)

Sets the reverse normal
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
reverseNormalreversenormal
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetReverseSheetNormal ( bool  reverseSheetNormal)

Sets the reverse sheet normal
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
reverseSheetNormalreversesheetnormal
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetToPoint ( NXOpen::Point toPoint)

Sets the to point
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
toPointtopoint
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetToVector ( NXOpen::Direction toVector)

Sets the to vector
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
toVectortovector
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetTrimWallAngleScale ( double  trimWallAngleScale)

Sets the trim wall angle scale
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
trimWallAngleScaletrimwallanglescale
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetVisualizeDepth ( bool  visualizeDepth)

Sets the visualize depth
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
visualizeDepthvisualizedepth
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetVisualizeDraft ( bool  visualizeDraft)

Sets the visualize draft
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
visualizeDraftvisualizedraft
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetVisualizeDraftOptions ( NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ViewDraftOptions  visualizeDraftOptions)

Sets the visualize draft options
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
visualizeDraftOptionsvisualizedraftoptions
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetWarningShowIsocline ( bool  warningShowIsocline)

Sets the warning show isocline
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
warningShowIsoclinewarningshowisocline
void NXOpen::Tooling::DieEngDefineProductOrientationBuilder::SetWarningValue ( double  warningValue)

Sets the warning value
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

Parameters
warningValuewarningvalue
NXOpen::Point* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ToPoint ( )

Returns the to point
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Direction* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ToVector ( )

Returns the to vector
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::ScCollector* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::TrimProfile ( )

Returns the trim profile
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngDefineProductOrientationBuilder::TrimWallAngleScale ( )

Returns the trim wall angle scale
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::ScCollector* NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ViewRegionBounds ( )

Returns the view region bounds
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngDefineProductOrientationBuilder::VisualizeDepth ( )

Returns the visualize depth
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngDefineProductOrientationBuilder::VisualizeDraft ( )

Returns the visualize draft
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

NXOpen::Tooling::DieEngDefineProductOrientationBuilder::ViewDraftOptions NXOpen::Tooling::DieEngDefineProductOrientationBuilder::VisualizeDraftOptions ( )

Returns the visualize draft options
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

bool NXOpen::Tooling::DieEngDefineProductOrientationBuilder::WarningShowIsocline ( )

Returns the warning show isocline
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")

double NXOpen::Tooling::DieEngDefineProductOrientationBuilder::WarningValue ( )

Returns the warning value
Created in NX11.0.0.



License requirements : die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.